Subject: bug#23689: Daemon-mode on Windows - "w32-initialized" is set too early

From: Eli Zaretskii <[email-masked]>
Date: Sat, 04 Jun 2016 13:58:20 +0300

> From: Paul Moore <[email-masked]>
> Date: Sat, 4 Jun 2016 11:29:28 +0100
> Cc: [email-masked]
> 
> > It looks like this is an internal variable whose purpose is to make
> > sure the w32 GUI initialization code is called only once per session;
> > it shouldn't be used for any other purpose.  I guess we could make
> > this more explicit in the doc string, but other than that I see no bug
> > here.
> 
> OK. The spacemacs initialisation code uses this variable (along with
> ns-initialized and x-initialized) to ensure that certain actions (e.c.
> find-font) are only run after the display is initialized. It's only
> w32-initialized for which this approach doesn't work. Is there a
> better way of testing for this situation that should be used?

Frankly, I'm not sure what is the situation for which you want to
test.  Can you describe the original problem in more detail?